forward_list.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Fwd_list_base< _Tp, _Alloc >
struct | std::_Fwd_list_const_iterator< _Tp >
struct | std::_Fwd_list_iterator< _Tp >
struct | std::_Fwd_list_node< _Tp >
struct | std::_Fwd_list_node_base
class | std::__fwdlist::_Iterator< _Const, _Ptr >
struct | std::__fwdlist::_Node< _ValPtr >
struct | std::__fwdlist::_Node_base< _VoidPtr >
class | std::forward_list< _Tp, _Alloc >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG
#define | _GLIBCXX_USE_ALLOC_PTR_FOR_FWD_LIST

## Functions

template<typename _InputIterator, typename _ValT = typename iterator_traits<_InputIterator>::value_type, typename _Allocator = allocator<_ValT>, typename = _RequireInputIter<_InputIterator>, typename = _RequireAllocator<_Allocator>>
| std::forward_list (_InputIterator, _InputIterator, _Allocator=_Allocator()) -> forward_list< _ValT, _Allocator >
template<typename _Tp, typename _Alloc>
__detail::__synth3way_t< _Tp > | std::operator<=> (const forward_list< _Tp, _Alloc > &__x, const forward_list< _Tp, _Alloc > &__y)
template<typename _Tp, typename _Alloc>
bool | std::operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp, typename _Alloc>
void | std::swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <forward_list>.

Definition in file forward_list.h.

## Macro Definition Documentation

## _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG

#define _GLIBCXX_FWDLIST_REMOVE_RETURN_TYPE_TAG

Definition at line 1704 of file forward_list.h.

## _GLIBCXX_USE_ALLOC_PTR_FOR_FWD_LIST

#define _GLIBCXX_USE_ALLOC_PTR_FOR_FWD_LIST

Definition at line 55 of file forward_list.h.